% Starts the data preparation for several arrays from the same series
% (i.e. same biological experiment).
%
% written by Georg Zeller, MPI Tuebingen, Germany, 2007-2008

% adjust directories in set_mSTAD_paths.m to make sure that all includes work
addpath ../
set_mSTAD_paths

% one letter identifier for the series
series = 'T'

% directory where array data is stored
array_dir = ['../../../PSB_data/array_data/'];
% common suffix of array file names (e.g. indicating  preprocessing)
input_array_tag = 'A_QN_RR';
% array file names
fnames = feval(sprintf('get_%s_series_fns', series), input_array_tag);
% number of replicates performed per sample
num_replicates = 3;

% prepare input for segmentation for each sample (averaging over replicates)
for f=1:num_replicates:length(fnames),
  elems = separate(fnames{f}, '_');
  checkstr = sprintf('%s_%s_', elems{1}, elems{2});
  assert(isequal(checkstr, fnames{f+1}(1:length(checkstr))));
  assert(isequal(checkstr, fnames{f+2}(1:length(checkstr))));
  segm_fname = sprintf('%s_%s_ABC_%s_%s', elems{1}, elems{2}, elems{4}, ...
                       input_array_tag);
  if ~fexist(sprintf('%s%s.mat', array_dir, segm_fname)),
    prepare_data(array_dir, fnames(f:f+num_replicates-1), segm_fname);
  end
end

% eof