function STATES = get_state_set_mSTAD(PAR)

% STATES = get_state_set_mSTAD(PAR)
%
% Returns the set of states of the graphical model.
%
% PAR -- a struct of parameters specified in setup_training.m and
%   train_hmsvm.m
%
% written by Georg Zeller, MPI Tuebingen, Germany, 2007-2008

assert(isfield(PAR, 'num_levels'));
assert(PAR.num_levels > 0);

STATES = [];

cnt = 1;
STATES.ige         =  cnt; % intergenic
cnt = cnt + 1;

for i=1:PAR.num_levels,
  % initial exon states
  STATES = setfield(STATES, sprintf('exo_f_%02i', i), cnt);
  cnt = cnt + 1;

  % second exon states
  STATES = setfield(STATES, sprintf('exo_s_%02i', i), cnt);
  cnt = cnt + 1;

  % initial intron states
  STATES = setfield(STATES, sprintf('ino_f_%02i', i), cnt);
  cnt = cnt + 1;

  % initial intron states
  STATES = setfield(STATES, sprintf('ino_s_%02i', i), cnt);
  cnt = cnt + 1;
end

% eof