function [mSTAD_home common_dir hmsvm_dir] = set_mSTAD_paths()

% [mSTAD_home common_dir hmsvm_dir] = set_mSTAD_paths()
%
% Includes the directories needed for mSTAD into the Matlab path.
% Change the addpath commands below to be able to run mSTAD in a
% different environment.
%
% returns the directory where mSTAD is located, the directory of common
% subroutines and the path to the hmsvm toolbox.
%
% written by Georg Zeller, MPI Tuebingen, Germany, 2007-2008

p = pwd;
mSTAD_home = p;
while ~isequal(mSTAD_home(end-4:end) , 'mSTAD'),
  idx = find(mSTAD_home=='/', 1, 'last');
  mSTAD_home = mSTAD_home(1:idx-1);
end
assert(isequal(mSTAD_home(end-4:end) , 'mSTAD'));

% path to mSTAD state model
addpath(sprintf('%s/mSTAD_model', mSTAD_home));

% path to general tools/subroutines used for tiling array analysis
common_dir = mSTAD_home(1:find(mSTAD_home=='/', 1, 'last'));
common_dir = sprintf('%scommon', common_dir);
addpath(common_dir);

% path to the HM-SVM toolbox
hmsvm_dir = mSTAD_home(1:find(mSTAD_home=='/', 1, 'last'));
hmsvm_dir = sprintf('%shmsvm/release_2008-09-18/src', hmsvm_dir);
addpath(hmsvm_dir);




