function fnames = get_filenames(array_tag)

% fnames = get_filenames([array_tag])
%
% Quantile normalization for tiling array intensities as proposed in
% Bolstad et al., Bioinformatics 2003, A comparison of normalization
% methods for high density oligonuleotide array data based on variance
% and bias.
%
% array_tag -- an optional suffix common to all input filenames
% returns a cell array of array file names
%
% Written by Georg Zeller, MPI Tuebingen, Germany, 2007-2008

if ~exist('array_tag', 'var'),
  array_tag = 'A';
end

fnames = {
    ['T_003_tA_R_' array_tag], ...
    ['T_003_tB_R_' array_tag], ...
    ['T_003_tC_R_' array_tag], ...
        };
